Error running DADA2 denoise-paired in qiime2-2019.10

Dear all,

Since updating to the latest QIIME2 version (qiime2-2019.10) I am struggling to get the dada2 denoise-paired command to work. I am working on a MacBook Pro using the terminal.

I have successfully imported the data as follows:

qiime tools import
–type ‘SampleData[PairedEndSequencesWithQuality]’
–input-path Manifest.txt
–input-format PairedEndFastqManifestPhred33V2
–output-path paired-end-demux.qza

qiime demux summarize
–i-data paired-end-demux.qza
–o-visualization paired-end-demux.qzv

I would then like to run dada2 using the following command:

qiime dada2 denoise-paired
–i-demultiplexed-seqs paired-end-demux.qza
–p-trim-left-f 13
–p-trim-left-r 13
–p-trunc-len-f 150
–p-trunc-len-r 150
–p-n-threads 0
–p-n-reads-learn 10000
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza

However I get the following error Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/qiime2-q2cli-err-pvaeq44u.log

The error is the following:

Command: run_dada_paired.R /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/tmpx2ssgs5a/forward /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/tmpx2ssgs5a/reverse /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/tmpx2ssgs5a/output.tsv.biom /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/tmpx2ssgs5a/track.tsv /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/tmpx2ssgs5a/filt_f /var/folders/9k/26yxjlk145v677tk0h8mm_x40000gn/T/tmpx2ssgs5a/filt_r 150 150 13 13 2.0 2.0 2 consensus 1.0 0 10000

R version 3.5.1 (2018-07-02)

Loading required package: Rcpp

Error: package or namespace load failed for ‘dada2’ in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):

there is no package called ‘GenomeInfoDbData’

Execution halted

Can someone please help me fix this? Is there a quick way of installing these packages? I didn’t get these errors when using the previous version (qiime2-2018.2).

Thank you in advance for your help and time.

Hello @thextramile,

Welcome back to the forums!

I’m glad you are updating to the new version of Qiime.

Sounds like you are having the same issue described here:

Once you get GenomeInfoDbData installed, try running that command again and see what you find.

Colin

1 Like